Skip to content

Get booking

GET
/v1/bookings/{booking_id}

Gets a specific booking

Authorizations

api_key
Type
API Key (header: X-Api-Key)

Parameters

Path Parameters

booking_id*

XS2event ID of the Booking

Type
string
Required

Responses

OK

application/json
JSON
{
  
"booking_id": "5867e9941e924a7bb169e244b26589ba_bkn",
  
"reservation_id": "5e3ae0658c9e405a9a62367293b8f56b_rsr",
  
"booking_code": "DQW32M",
  
"created": "2025-06-11T14:29:25",
  
"updated": "2025-06-11T15:12:03",
  
"client_id": "19941a73d2b5498caf6894d62bb6c3a4_cln",
  
"booking_email": "alice@example.com",
  
"payment_method": "invoice",
  
"payment_reference": "INV-2025-0001",
  
"booking_reference": "BOOK-2025-0001",
  
"distributorfinancial_status": "OPEN",
  
"logistic_status": "COMPLETED",
  
"deleted": null,
  
"items": [
  
  
{
  
  
  
"quantity": 2,
  
  
  
"salesprice": 41100,
  
  
  
"net_rate": 41100,
  
  
  
"currency": "EUR",
  
  
  
"ticket_id": "dbe592106db4431a8260c2656dc753ac_tck",
  
  
  
"ticket_name": "Category 2",
  
  
  
"event_id": "a0351f57524a4119ab838038c2718588_evt",
  
  
  
"event_name": "Grand Prix Netherlands",
  
  
  
"event_season": "2026",
  
  
  
"tournament_name": "Formula 1"
  
  
}
  
]
}

Playground

Server
Authorization
Variables
Key
Value

Samples